Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.command
Class FindVariableInstancesByNameCommand

    java.lang.Object
      org.jbpm.process.audit.command.AuditCommand<List<VariableInstanceLog>>
          org.jbpm.process.audit.command.FindVariableInstancesByNameCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<VariableInstanceLog>>, Command<List<VariableInstanceLog>>

    public class FindVariableInstancesByNameCommand

extends AuditCommand<List<VariableInstanceLog>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.command.AuditCommand
`auditLogService`

Constructor Summary
`FindVariableInstancesByNameCommand()`
`FindVariableInstancesByNameCommand(String variableId)`
`FindVariableInstancesByNameCommand(String variableId, boolean onlyFromActiveProcesses)`
`FindVariableInstancesByNameCommand(String variableId, String value)`
`FindVariableInstancesByNameCommand(String variableId, String value, boolean onlyFromActiveProcesses)`

Method Summary
`List<VariableInstanceLog>` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `toString()`

Methods inherited from class org.jbpm.process.audit.command.AuditCommand
`setAuditLogService, setLogEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FindVariableInstancesByNameCommand

    public FindVariableInstancesByNameCommand()

### FindVariableInstancesByNameCommand

    public FindVariableInstancesByNameCommand(String variableId)

### FindVariableInstancesByNameCommand

    public FindVariableInstancesByNameCommand(String variableId,
                                              boolean onlyFromActiveProcesses)

### FindVariableInstancesByNameCommand

    public FindVariableInstancesByNameCommand(String variableId,
                                              String value)

### FindVariableInstancesByNameCommand

    public FindVariableInstancesByNameCommand(String variableId,
                                              String value,
                                              boolean onlyFromActiveProcesses)

Method Detail

### execute

    public List<VariableInstanceLog> execute(org.kie.internal.command.Context cntxt)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.